shishi_crypto_encrypt(3)

NAME
shishi_crypto_encrypt - API function

SYNOPSIS
#include <shishi.h>

int shishi_crypto_encrypt(Shishi_crypto * ctx, const char * in, size_t inlen, char ** out, size_t * outlen);

ARGUMENTS

Shishi_crypto * ctx
    crypto context as returned by shishi_crypto().

const char * in
    input array with data to encrypt.

size_t inlen
    size of input array with data to encrypt.

char ** out
    output array with newly allocated encrypted data.

size_t * outlen
    output variable with size of newly allocated output array.

DESCRIPTION
Encrypt data, using information (e.g., key and initialization vector) from context. The IV is updated inside the context after this call. When the application no longer need to use the context, it should deallocate resources associated with it by calling shishi_crypto_close().

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.